homepage/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.home, name='home'),
    path('about/', views.about, name='about'),
    path('projects/', views.projects, name='projects'),
]

mysite/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
]

homepage/models.py
from django.db import models

# Create your models here.

homepage/views.py
from django.shortcuts import render

# Create your views here.
def home(request):
    return render(request, 'home.html')

def about(request):
    return render(request, 'about.html')

def projects(request):
    return render(request, 'projects.html')

homepage/templates/about.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    <script src="https://kit.fontawesome.com/4e23a64edc.js" crossorigin="anonymous"></script>
    <title>About Me</title>
  </head>
  <body>
    <div class="container home p-3 mx-auto">
      <header>
        <ul class="nav justify-content-end">
          <li>
            <a class="nav-item" href="{% url 'homepage:home' %}">Home</a>
          </li>
          <li>
            <a class="nav-item" id="active" href="#">About</a>
          </li>
          <li>
            <a class="nav-item" href="{% url 'homepage:projects' %}">Projects</a>
          </li>
        </ul>
      </header>
      <div class="row" id="title">
        <div class="col text-center">
          <h1>About Me</h1>
        </div>
      </div>
      <div class="row" id="description">
        <div class="image col-2">
            <img src="{% static 'images/Profile.png' %}" alt="foto profil" width="100" height="100">
        </div>
        <div class="col" id="desc-text">
            <p>I'm an Information System Undergraduate Student at Universitas Indonesia. 
                I am a fast-learner with high motivation. I love meeting new people and sharing new ideas.
            </p>
        </div>
      </div>
      <div class="row" id="profil">
        <div class="col-4  justify-content-end left-side">
            <div class="row justify-content-end">
                <p id="pointer">Name:</p>
            </div>
            <div class="row justify-content-end">
                <p>Hamam Abdurrachman</p>
            </div>
            <div class="row justify-content-end">
                <p id="pointer">Birth Date:</p>
            </div>
            <div class="row justify-content-end">
                <p>26 October 1999</p>
            </div>
            <div class="row justify-content-end">
                <p  id="pointer">Hobby:</p>
            </div>
            <div class="row justify-content-end">
                <p>Reading, Gaming</p>
            </div>
        </div>
        <div class="col" id="pengalaman">
            <div class="right-side">
                <div class="row">
                    <p style="font-size: 1.5rem">EDUCATION</p>
                </div>
                <div class="row">
                    <p id="pointer">Bachelor of Computer Science</p>
                </div>
                <div class="row">
                    <p>Universitas Indonesia | 2018 - present</p>
                </div>
            </div>
            <div class="right-side">
                <div class="row">
                    <p style="font-size: 1.5rem">EXPERIENCE</p>
                </div>
                <div class="row">
                    <h5>Organization</h5>
                </div>
                <div class="row">
                    <p id="pointer">Staff of Commission of Law at DPM Fasilkom UI | 2019</p>
                </div>
                <div class="row" id="exp-description">
                    <p>Formulating new legislation draft and introducing new legislation to students</p>
                </div>
                <div class="row">
                    <p id="pointer">Staff of Islamic Learning Center at FUKI Fasilkom UI | 2019</p>
                </div>
                <div class="row" id="exp-description">
                    <p>Facilitating the needs of muslim students in Fasilkom to learn Islamic teachings</p>
                </div>
                <div class="row">
                    <h5>Committee</h5>
                </div>
                <div class="row">
                    <p id="pointer">Staff of Business IT Case Competition at COMPFEST 11 | 2019</p>
                </div>
                <div class="row" id="exp-description">
                    <p>Finding and reviewing cases for qualifications and final rounds 
                    and coordinating with Faculty about the cases</p>
                </div>
                <div class="row">
                    <p id="pointer">Staff of Voting Division at Pemira Fasilkom UI 2018 | 2018</p>
                </div>
                <div class="row" id="exp-description">
                    <p>Managing voting places, coordinating voting place’s on duty
                    staff, and vote counting</p>
                </div>
            </div>
            <div class="right-side">
                <div class="row">
                    <p style="font-size: 1.5rem">SKILLS</p>
                </div>
                <div class="row">
                    <p id="pointer">Programming</p>
                </div>
                <div class="row" id="exp-description">
                    <p style="margin-bottom: 1px">Python</p>
                </div>
                <div class="row" id="exp-description">
                    <p>Java</p>
                </div>
                <div class="row">
                    <p id="pointer">Graphic Design</p>
                </div>
                <div class="row" id="exp-description">
                    <p style="margin-bottom: 1px">Adobe Illustrator</p>
                </div>
                <div class="row" id="exp-description">
                    <p>Adobe Corel Draw</p>
                </div>
            </div>
            <div class="right-side">
                <div class="row">
                    <p style="font-size: 1.5rem">ACHIEVEMENT</p>
                </div>
                <div class="row">
                    <p id="pointer">Distinction Level, ICAS Mathematics | 2014</p>
                </div>
                <div class="row" id="exp-description">
                    <p>Reached top 2% of the region on mathematics assessment test held by University of New South Wales.</p>
                </div>
            </div>
        </div>
      </div>
      <div class="row justify-content-center" style="margin-top: 5rem; margin-bottom: 15rem">
        <p>
          <a href="https://drive.google.com/open?id=1F_prPJMf2TuEG-BzVcJ3uUhp39NCVX5X" target="_blank" class="btn button">Download Resume</a>
        </p>
      </div>
      <footer style="border-top: solid white">
        <div class="row" style="margin-top: 1rem">
            <div class="col-4">
                <h3>Contact</h3>
                <p>hamamabdurrachman@gmail.com</p>
            </div>
            <div class="col" style="padding-left: 30%">
                <ul class="icon">
                    <li>
                    <a href="https://www.facebook.com/hamam.abdurrachman" target="_blank">
                        <i class="fab fa-facebook-f"></i>
                    </a>
                    </li>
                    <li>
                    <a href="https://www.instagram.com/hm.abdr" target="_blank">
                        <i class="fab fa-instagram"></i>
                    </a>
                    </li>
                    <li>
                    <a href="https://www.linkedin.com/in/hamamabdurrachman" target="_blank">
                        <i class="fab fa-linkedin"></i>
                    </a>
                    </li>
                    <li>
                    <a href="https://github.com/HMajesty" target="_blank">
                        <i class="fab fa-github"></i>
                    </a>
                    </li>
                    <li>
                    <a href="https://twitter.com/Hamam_26" target="_blank">
                        <i class="fab fa-twitter"></i>
                    </a>
                    </li>
                </ul>
            </div>
        </div>
      </footer>
    </div>
  </body>
</html>

homepage/templates/home.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    <script src="https://kit.fontawesome.com/4e23a64edc.js" crossorigin="anonymous"></script>
    <title>Home Page</title>
  </head>
  <body>
    <div class="container p-3 mx-auto">
      <header>
        <ul class="nav justify-content-end">
          <li>
            <a class="nav-item" id="active" href="#">Home</a>
          </li>
          <li>
            <a class="nav-item" href="{% url 'homepage:about' %}">About</a>
          </li>
          <li>
            <a class="nav-item" href="{% url 'homepage:projects' %}">Projects</a>
          </li>
        </ul>
      </header>
      <div class="row" id="main-content">
        <div class="col text-center">
          <p style="margin-bottom: .1rem">Hi! Welcome to my website</p>
          <h1>I'm Hamam Abdurrachman</h1>
        </div>
      </div>
      <div class="row justify-content-center" style="margin-top: 2rem">
        <p>
          <a href="{% url 'homepage:about' %}" class="btn button">About Me</a>
        </p>
      </div>
      <div class="row justify-content-center" id="socmed">
        <ul class="icon">
            <li>
              <a href="https://www.facebook.com/hamam.abdurrachman" target="_blank">
                <i class="fab fa-facebook-f"></i>
              </a>
            </li>
            <li>
              <a href="https://www.instagram.com/hm.abdr" target="_blank">
                <i class="fab fa-instagram"></i>
              </a>
            </li>
            <li>
              <a href="https://www.linkedin.com/in/hamamabdurrachman" target="_blank">
                <i class="fab fa-linkedin"></i>
              </a>
            </li>
            <li>
              <a href="https://github.com/HMajesty" target="_blank">
                <i class="fab fa-github"></i>
              </a>
            </li>
            <li>
              <a href="https://twitter.com/Hamam_26" target="_blank">
                <i class="fab fa-twitter"></i>
              </a>
            </li>
          </ul>
      </div>
    </div>
  </body>
</html>

homepage/templates/projects.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href={% static 'css/style.css' %}>
    <script src="https://kit.fontawesome.com/4e23a64edc.js" crossorigin="anonymous"></script>
    
    <title>Projects</title>
  </head>
  <body>
    <div class="container p-3 mx-auto">
      <header>
        <ul class="nav justify-content-end">
          <li>
            <a class="nav-item" href="{% url 'homepage:home' %}">Home</a>
          </li>
          <li>
            <a class="nav-item" href="{% url 'homepage:home' %}">About</a>
          </li>
          <li>
            <a class="nav-item" id="active" href="#">Projects</a>
          </li>
        </ul>
      </header>
      <div class="row" id="main-content">
        <div class="col"  style="margin-bottom: 15rem">
            <h1>Coming soon!</h1>
        </div>
      </div>
      <footer style="border-top: solid white">
        <div class="row" style="margin-top: 1rem">
            <div class="col-4">
                <h3>Contact</h3>
                <p>hamamabdurrachman@gmail.com</p>
            </div>
            <div class="col" style="padding-left: 30%">
                <ul class="icon">
                    <li>
                    <a href="https://www.facebook.com/hamam.abdurrachman" target="_blank">
                        <i class="fab fa-facebook-f"></i>
                    </a>
                    </li>
                    <li>
                    <a href="https://www.instagram.com/hm.abdr" target="_blank">
                        <i class="fab fa-instagram"></i>
                    </a>
                    </li>
                    <li>
                    <a href="https://www.linkedin.com/in/hamamabdurrachman" target="_blank">
                        <i class="fab fa-linkedin"></i>
                    </a>
                    </li>
                    <li>
                    <a href="https://github.com/HMajesty" target="_blank">
                        <i class="fab fa-github"></i>
                    </a>
                    </li>
                    <li>
                    <a href="https://twitter.com/Hamam_26" target="_blank">
                        <i class="fab fa-twitter"></i>
                    </a>
                    </li>
                </ul>
            </div>
        </div>
      </footer>
    </div>
  </body>
</html>